/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __SYSPOPUP_PRIVATE_H__
#define __SYSPOPUP_PRIVATE_H__

#ifndef _GNU_SOURCE
#define _GNU_SOURCE
#endif

#include <stdio.h>
#include <libgen.h>

#ifdef LOG_TAG
#undef LOG_TAG
#endif

#define LOG_TAG "SYSPOPUP"

#ifdef _E
#undef _E
#endif

#define _E(fmt, ...)                                                         \
	fprintf(stderr, "E/%s: %s: %s(%d) > "fmt"\n",                        \
			LOG_TAG, basename(__FILE__), __FUNCTION__, __LINE__, \
			##__VA_ARGS__)

#ifdef _W
#undef _W
#endif

#define _W(fmt, ...)                                                         \
	fprintf(stderr, "W/%s: %s: %s(%d) > "fmt"\n",                        \
			LOG_TAG, basename(__FILE__), __FUNCTION__, __LINE__, \
			##__VA_ARGS__)

#ifdef _I
#undef _I
#endif

#define _I(fmt, ...)                                                         \
	fprintf(stdout, "I/%s: %s: %s(%d) > "fmt"\n",                        \
			LOG_TAG, basename(__FILE__), __FUNCTION__, __LINE__, \
			##__VA_ARGS__)

#ifdef _D
#undef _D
#endif

#define _D(fmt, ...)                                                         \
	fprintf(stdout, "D/%s: %s: %s(%d) > "fmt"\n",                        \
			LOG_TAG, basename(__FILE__), __FUNCTION__, __LINE__, \
			##__VA_ARGS__)


#endif /* __SYSPOPUP_PRIVATE_H__ */
